/* ignuit - Educational software for the GNOME, following the Leitner
 * flash-card system.
 *
 * Copyright (C) 2008, 2009, Timothy Musson
 *
 * <trmusson@ihug.co.nz>
 * http://homepages.ihug.co.nz/~trmusson/programs.html#ignuit
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */


#include <config.h>
#include <gnome.h>
#include <glib/gi18n.h>

#include "main.h"
#include "dialog-about.h"


void
dialog_about (GtkWidget *parent)
{
    const char *authors[] = {
        "Timothy Musson <trmusson@gmail.com>",
        NULL
    };
    gchar *translators = _("translator-credits");


    gtk_show_about_dialog (GTK_WINDOW(parent),
        /* "program-name", "i GNU it!", */
        "version", VERSION,
        "comments", _("Educational software for GNOME, following the Leitner flash card system."),
        "authors", authors,
        "translator-credits", translators,
        "logo-icon-name", "ignuit",
        NULL);
}

