/* textview.h
 */


#ifndef HAVE_TEXTVIEW_H
#define HAVE_TEXTVIEW_H


typedef enum {
    TV_EDITOR,
    TV_QUIZ,
    TV_INFO
} TVType;


void    textview_media_free (void);

gchar*  remove_card_markup (const gchar *text);

void    textview_set_properties (GtkTextView *textview, Prefs *prefs,
            CardStyle style, TVType tvtype);

void    textbuf_create_tags (GtkTextBuffer *textbuf);

void    textbuf_clear (GtkTextBuffer *textbuf);

void    textbuf_put (GtkTextBuffer *textbuf, const gchar *text);

void    textbuf_place_cursor (GtkTextBuffer *textbuf, GtkTextIter *iter,
            gint where);

void    textview_display_with_markup (Ignuit *ig, GtkTextView *textview,
            const gchar *text, CardStyle style);

GtkJustification card_style_get_justification (CardStyle style);


#endif /* HAVE_TEXTVIEW_H */

